form variable table to get value??

 

hi~ i'm sun-il kim, in korea

variable table ?

Type | Name | Value | Rule ....

i know Name

i will  have value~

help me~

 

Posted by: kim sunil
Post date: 11/24/2009 8:27:58 PM

2 REPLIES

RE: form variable table to get value??

Hi sun-il kim,

 

you must create a VariableList with "Query"

 

Dim objDoc As SolidEdgePart.PartDocument

Dim objVars As SolidEdgeFramework.Variables

Dim objVList As SolidEdgeFramework.VariableList

Dim myVal As Double 'or String

 

objApp = GetObject(, "SolidEdge.Application")

objDoc = objApp.ActiveDocument

 

objVars = objDoc.Variables 'have a list only with TYPE = Var

objVList = objVars.Query("Your variable name") 'if you set "*", you have a list with all variables in the table

myVal = objVList.index(1).Value

 

Regards

JR

 

Posted by: JR
Post date: 11/25/2009 7:40:54 PM

RE: form variable table to get value??

 

JR,

thank you for your answer...

 

The problem is solved.

 

Have a nice day~ ^^

 

 

 

Posted by: kim sunil
Post date: 11/26/2009 4:04:44 PM